WinUser.AddUserResult (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.windows
Class WinUser.AddUserResult

    java.lang.Object
      com.install4j.api.windows.WinUser.AddUserResult

Enclosing class:
  WinUser

    public static class WinUser.AddUserResult

extends java.lang.Object

The class of the objects returned by `WinUser.addUser(java.lang.String, java.lang.String, java.lang.String, com.install4j.api.windows.WinUser.GroupCreationMode, java.lang.String, java.lang.String)`.

Method Summary
`java.lang.String` | `getGroupSid()` The SID (Security Identifier) of the used group in String form.
`WinUser.AddUserResultType` | `getType()` The result type (success / specific errors)
`java.lang.String` | `getUserSid()` The SID (Security Identifier) of the created user in String form.
`boolean` | `isGroupCreated()` Check if the local group was newly created
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getType

    public WinUser.AddUserResultType getType()

  The result type (success / specific errors)

  Returns:
    the result type

### getUserSid

    public java.lang.String getUserSid()

  The SID (Security Identifier) of the created user in String form. This can be used to unambiguously specify the created user for actions such as 'install service' or 'add windows file rights'.

  Returns:
    the user sid in String form

### getGroupSid

    public java.lang.String getGroupSid()

  The SID (Security Identifier) of the used group in String form. This can be used to unambiguously specify the created group for actions such as 'add windows file rights'.

  Returns:
    the group sid in String form

### isGroupCreated

    public boolean isGroupCreated()

  Check if the local group was newly created

  Returns:
    `true` if the group was created

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD